<?php

require_once REZA_PATH . '/admin/tgm-plugin-activation/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'reza_register_required_plugins' );

/**
 * Register the required plugins for this theme.
 *
 * In this example, we register five plugins:
 * - one included with the TGMPA library
 * - two from an external source, one from an arbitrary source, one from a GitHub repository
 * - two from the .org repo, where one demonstrates the use of the `is_callable` argument
 *
 * The variables passed to the `tgmpa()` function should be:
 * - an array of plugin arrays;
 * - optionally a configuration array.
 * If you are not changing anything in the configuration array, you can remove the array and remove the
 * variable from the function call: `tgmpa( $plugins );`.
 * In that case, the TGMPA default settings will be used.
 *
 * This function is hooked into `tgmpa_register`, which is fired on the WP `init` action on priority 10.
 */
 
function reza_register_required_plugins() {
	/*
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
 
	 
	
	
	$plugins = array(

	 // This is an example of how to include a plugin from an arbitrary external source in your theme.
 		 
		array(
			'name'         => 'نصب دمو های قالب مجیکال', // The plugin name.
			'slug'         => 'magical-demo-import', // The plugin slug (typically the folder name).
			'source'       => 'http://sao-wp.ir/plugins/magical-demo-import.zip',
			'required'     => true,
			'version'       =>'1.3', // The plugin source. 
			
 		),
			array(
			'name'         => 'صفحه ساز سوشیانت', // The plugin name.
			'slug'         => 'saoshyant-page-builder', // The plugin slug (typically the folder name).
			'source'       => 'https://downloads.wordpress.org/plugin/saoshyant-page-builder.zip',
			'required'     => true, // If false, the plugin is only 'recommended' instead of required.
 		),		
  		array(
			'name'         => 'اسلایدر ساز سوشیانت', // The plugin name.
			'slug'         => 'saoshyant-slider', // The plugin slug (typically the folder name).
			'source'       => 'https://downloads.wordpress.org/plugin/saoshyant-slider.zip', // The plugin source.
			'required'     => true, // If false, the plugin is only 'recommended' instead of required.
 		),
		array(
			'name'         => 'صفحه ساز المنتور', // The plugin name.
			'slug'         => 'elementor', // The plugin slug (typically the folder name).
			'source'       => 'https://downloads.wordpress.org/plugin/elementor.3.11.2.zip',
			'required'     => true, // If false, the plugin is only 'recommended' instead of required.
 		),
  	 	
		array(
			'name'         => 'ووکامرس', // The plugin name.
			'slug'         => 'woocommerce', // The plugin slug (typically the folder name).
			'source'       => 'https://downloads.wordpress.org/plugin/woocommerce.7.4.1.zip', // The plugin source.
			'required'     => true, // If false, the plugin is only 'recommended' instead of required.
  		),
		
	
 		array(
			'name'         => 'بسته فارسی ساز ووکامرس', // The plugin name.
			'slug'         => 'persian-woocommerce', // The plugin slug (typically the folder name).
			'required'     => true, // If false, the plugin is only 'recommended' instead of required.
  			'source'       => 'https://downloads.wordpress.org/plugin/persian-woocommerce.6.1.0.zip', // The plugin source.
 		),
		array(
			'name'         => 'افزونه مقایسه ووکامرس', // The plugin name.
			'slug'         => 'yith-woocommerce-compare', // The plugin slug (typically the folder name).
 			'source'       => 'https://downloads.wordpress.org/plugin/yith-woocommerce-compare.zip', 
   		),
		
 
		array(
			'name'         => 'افزونه علاقه‌مندی ووکامرس', // The plugin name.
			'slug'         => 'yith-woocommerce-wishlist', // The plugin slug (typically the folder name).
			'source'       => 'https://downloads.wordpress.org/plugin/yith-woocommerce-wishlist.3.9.0.zip', 
 
			
 		), 			
 		array(
			'name'         => __('Contact Form 7','reza'), // The plugin name.
			'slug'         => 'contact-form-7', // The plugin slug (typically the folder name).
			'source'       => 'https://downloads.wordpress.org/plugin/contact-form-7.5.7.4.zip', // The plugin source.
  		),		
  		array(
			'name'         => 'تقوم فارسی جلالی', // The plugin name.
			'slug'         => 'wp-jalali', // The plugin slug (typically the folder name).
			'required'     => true, 
			'source'       => 'https://sao-wp.ir/plugins/wp-jalali.5.4.zip', // The plugin source. 
			'version'       =>'5.4', // The plugin source. 
    
 		),
		 
	 
		 
		array(
			'name'         => 'ویرایشگر کلاسیک', // The plugin name.
			'slug'         => 'classic-editor', // The plugin slug (typically the folder name).
			'source'       => 'https://downloads.wordpress.org/plugin/classic-editor.1.6.2.zip', 
     
 		),
		 	
		);
	/*
	 * Array of configuration settings. Amend each line as needed.
	 *
	 * TGMPA will start providing localized text strings soon. If you already have translations of our standard
	 * strings available, please help us make TGMPA even better by giving us access to these translations or by
	 * sending in a pull-request with .po file(s) with the translations.
	 *
	 * Only uncomment the strings in the config array if you want to customize the strings.
	 */
	$config = array(
		'id'           => 'reza',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.
 
	);

	tgmpa( $plugins, $config );
}

