<?php
 
class reza_element_count_to extends \Elementor\Widget_Base {

 
	public function get_name() {
		return 'reza_count_to';
	}

 	public function get_title() {
		return  __('Count To','reza');
	}

 
	public function get_icon() {
		return 'eicon-counter';
	}
	public function get_categories() {
		return [ 'reza' ];
	}


protected function register_controls() {
	//	start Content tab
		 
		 //Box Shadow
		 //Box Shadow
 	 
 		 $this->register_controls_count_to();
 		 $this->register_controls_layout();
  
 $this->register_controls_style(); 
 $this->register_controls_typography(); 
  
		//hover animation
 		 //end style tab
	}
    


 
	 
	 
	protected function register_controls_count_to(){
 			
		$this->start_controls_section(
			'count_to',
			[
				'label'			=>  __('Count To','reza'),
			]
		); 	
			
		$this->add_control(
			'number',
			[
				'label'			=>__( 'Number', 'reza' ),
				'type'			=> \Elementor\Controls_Manager::NUMBER ,
				"default"		=> "1250",
			]
		); 		
  
  			
		$this->add_control(
			'endnumber',
			[
				'label'			=>__( 'End Number', 'reza' ),
				'type'			=> \Elementor\Controls_Manager::TEXT ,
			]
		); 		
  
 
 		$this->add_control(
			'duration',
			[
				'label'			=> __( 'Duration Number', 'reza' ),
				'type'			=> \Elementor\Controls_Manager::NUMBER ,
				"default"		=> "2000",
			]
		); 		
   
    $this->end_controls_section();

 		 
		
 	} 
 protected function register_controls_layout(){
 			
		$this->start_controls_section(
			'count_to_layout',
			[
				'label'			=> __( 'Layout', 'reza' ),
			]
		); 	
			 $this->add_control(
			'alignment',
			[
				'label'			=> __('Alignment','reza'),
				'type'			=> \Elementor\Controls_Manager::SELECT ,
				"default"		=> "center",
				"options"		=> reza_array_options('alignment',true)	,		
				 
			]
		); 	
 
$this->add_responsive_control(
			'elementor_padding',
			[
				'label' => __( 'Margin', 'reza' ),
				'type' => \Elementor\Controls_Manager::SELECT,
 				'options' => reza_array_options('elementor_padding'),
 				'default' =>  '0px',
			]
); 
	
    $this->end_controls_section();
 }
 	
	protected function register_controls_style(){
	$this->start_controls_section(
			'style',
			[
				'label'			=> __( 'Style', 'reza' ),
				'tab'			=> \Elementor\Controls_Manager::TAB_STYLE,
			]
		); 	

 	 
		$this->add_control(
			'number_color',
			[
				'label'			=> __( 'Number Color', 'reza' ),
				'type'			=> \Elementor\Controls_Manager::COLOR ,
				'selectors' => [
					'{{WRAPPER}} .rd-count-warp' => '--rd-num-txt: {{VALUE}}',
				],		
			 
 			] 
		); 
		 
		 
    $this->end_controls_section();
	}
	protected function register_controls_typography(){

		 $this->start_controls_section(
			'typography',
			[
						'label' => __('Typography','reza'),
						'tab' => \Elementor\Controls_Manager::TAB_STYLE,
						
				]
			);
		   
		$this->add_control(
			'number_font_size',
			[
				'label'			=>__('Font Size','reza'),
				'type'			=> \Elementor\Controls_Manager::NUMBER ,
				'selectors' 	=> array(
							'{{WRAPPER}} [class*="rd-el-"]' => '--rd-num-fn-sz: {{VALUE}}px',
				),	
		   
			]
		); 
		
		$this->add_control(
			'number_font_weight',
			[
				'label'			=>__('Font Weight','reza'),
				'type'			=> \Elementor\Controls_Manager::SELECT ,
				'options'		=> reza_array_options('font_weight'),
				'selectors' 	=> array(
							'{{WRAPPER}} [class*="rd-el-"]' => '--rd-num-fn-wt: {{VALUE}}',
				),	
			]
		); 		
    $this->end_controls_section();
 
	}	
			 	 

 	
	protected function render() {
 		$option = $this->get_settings_for_display();
 
 
 
 		$args=array();
		$args['key']= $this->get_id();
		
		
		$number = !empty($option['number']) ? $option['number'] : '0';
		$endnumber = isset($option['endnumber']) ? $option['endnumber'] : '';
		$duration =!empty($option['duration']) ? $option['duration']: 2000;	
		$alignment_class =!empty($option['alignment'])?$option['alignment']:'center';
		
		?>
 	 	<aside class="rd-elementor-<?php echo esc_attr($this->get_id());?>"     >
 	 	<div class="rd-el-<?php echo $this->get_id();?> rd-aw  	rd-count-warp 	rd-align-<?php echo esc_attr(reza_alignment($alignment_class));?>" >
  	 
              <div class="rd-count-number" number="<?php echo esc_attr($number);?>"  end="<?php echo esc_attr($endnumber);?>" duration="<?php echo esc_attr($duration);?>"></div>
  
		</div>
     	<?php
		
		$item = '.rd-el-'.$this->get_id().''; 
 
		$item_css =
		reza_var('--rd-num-txt',$option,'number_color').
		reza_var_unit('--rd-num-fn-sz',$option,'number_font_size' ,'px').
		reza_var('--rd-num-fn-wt',$option,'number_font_weight');
		
		
		$elementor_padding= !empty($option['elementor_padding'])?$option['elementor_padding']:'';
		if($elementor_padding!=='0px'){
			$item_css.=reza_var('--rd-el-pd',$option,'elementor_padding');
		}else{
			$item_css.= '--rd-el-pd:1px;';
		}
		$item_css.= reza_var('--rd-el-tab-pd',$option,'elementor_padding_tablet').
					reza_var('--rd-el-mob-pd',$option,'elementor_padding_mobile');
	  
    	$css =reza_item_css($item_css,$item);
		if(!empty($css)){
  			echo '<style>'.$css.'</style>';
		}
		
		wp_enqueue_script('reza_counter',REZA_DIR. '/js/lib/counter.min.js'); 

 	 
		 if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) {?>
			 <div class="rd-elementor-script"> 
					<script src='<?php echo  REZA_DIR . '/js/lib/counter.min.js'?>' id='reza_counter-js'></script>    
 					<script type="text/javascript">
					  (function($) {
						'use strict';
						jQuery(document).ready(function() {				
 							$('.rd-elementor-<?php echo esc_html($this->get_id());?>').reza_elementor();
 	
						 });
						})(jQuery);
 	               </script>
		
			</div>
		<?php }	?>
	</aside> 
		 <?php
	}
	
} 