<?php
 
class reza_element_pie_chart extends \Elementor\Widget_Base {

 
	public function get_name() {
		return 'reza_pie_chart';
	}

 	public function get_title() {
		return  __('Pie Chart','reza');
	}

 
	public function get_icon() {
		return 'eicon-countdown';
	}
	public function get_categories() {
		return [ 'reza' ];
	}


protected function register_controls() {
 		 
   		 $this->register_controls_pie_chart();
 		 $this->register_controls_layout();
  		$this->register_controls_style(); 
		 $this->register_controls_typography(); 
   
	}
    


 
	 
	 
	protected function register_controls_pie_chart(){
 			
		$this->start_controls_section(
			'pie_chart',
			[
				'label'			=> __( 'Pie Chart', 'reza' ),
			]
		); 	
			
		$this->add_control(
			'percentage',
			[
				'label'			=> __('Percentage','reza'),
				'type'			=> \Elementor\Controls_Manager::NUMBER ,
				"default"		=> '80',	
			]
		); 		
		
		$this->add_control(
			'endpercentage',
			[
				'label'			=> __('End Percentage','reza'),
				'type'			=> \Elementor\Controls_Manager::TEXT ,
				"default"		=> "%",
			]
		); 		
  

		$this->add_control(
			'bar_duration',
			[
				'label'			=> __('Duration','reza'),
				'type'			=> \Elementor\Controls_Manager::NUMBER ,
				"default"		=> "2000",
			]
		); 	
  
    
    $this->end_controls_section();

 		 
		
 	} 
 protected function register_controls_layout(){
 			
		$this->start_controls_section(
			'pie_chart_layout',
			[
				'label'			=> __('Layout','reza'),
			]
		); 	
		 		$this->add_control(
			'chart_size',
			[
				'label'			=> __('Pie Chart Size','reza'),
				'type'			=> \Elementor\Controls_Manager::SELECT ,
				"options"		=>  array(
							""				=> __('Default','reza'),
							"50"			=>  __('50px','reza') ,
							"75"			=> 	__('75px','reza') ,
							"100"			=> __('100px','reza') ,
							"125"			=> __('125px','reza') ,
							"150"			=> __('150px','reza') ,
							"175"			=> __('175px','reza') ,
							"200"			=> 	__('200px','reza') ,
							"225"			=> __('225px','reza') ,
							"250"			=>  __('250px','reza') ,
							"275"			=>  __('275px','reza') ,
							"300"			=>  __('300px','reza') ,
 				), 						
				  
 			] 
		); 
		
		
			 $this->add_control(
			'alignment',
			[
				'label'			=> __('Alignment','reza'),
				'type'			=> \Elementor\Controls_Manager::SELECT ,
				"default"		=> "center",
				"options"		=> reza_array_options('alignment',true)				
			]
		); 	
 
$this->add_responsive_control(
			'elementor_padding2',
			[
				'label' => __( 'Margin', 'reza' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' => reza_array_options('elementor_padding'),
 				'default' =>  '0px',
 				 
			]
); 
	
    $this->end_controls_section();
 }
 	
	protected function register_controls_style(){
	$this->start_controls_section(
			'style',
			[
				'label'			=> __('Style','reza'),
				'tab'			=> \Elementor\Controls_Manager::TAB_STYLE,
			]
		); 	

 		$this->add_control(
			'percent_color',
			[
				'label'			=>__('Percent Color','reza'),
				'type'			=> \Elementor\Controls_Manager::COLOR ,
				'selectors' 	=> array(
							'{{WRAPPER}} [class*="rd-el-"]' => '--rd-pr-txt: {{VALUE}}',
				),
 			] 
		); 
 
 		$this->add_control(
			'bar_size',
			[
				'label'			=>__('Bar Size','reza'),
				'type'			=> \Elementor\Controls_Manager::NUMBER ,
			 
 			] 
		); 
		$this->add_control(
			'bar_color',
			[
				'label'			=> __('Bar Color - First Color','reza'),
				'type'			=> \Elementor\Controls_Manager::COLOR ,
			 
 			] 
		); 
		  
		 $this->add_control(
			'bar_color_2',
			[
				'label'			=> __('Bar Color - Second Color','reza'),
				'type'			=> \Elementor\Controls_Manager::COLOR ,
			 
 			] 
		); 
		   
		  
		$this->add_control(
			'track_color',
			[
				'label'			=> __('Track Color','reza'),
				'type'			=> \Elementor\Controls_Manager::COLOR ,
			 
 			] 
		); 
 

		$this->add_control(
			'chart_background',
			[
				'label'			=> __('Pie Chart Background','reza'),
				'type'			=> \Elementor\Controls_Manager::COLOR ,
				'selectors' 	=> array(
							'{{WRAPPER}} [class*="rd-el-"]' => '--rd-cht-bg: {{VALUE}}',
				),					
			 
 			] 
		);  
		
	$this->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'chart_border',
				'label' => __('Pie Chart Border','reza'),
				'selector' => '{{WRAPPER}} .rd-chart',
					
			
 			]
		);
		$this->add_group_control(
			\Elementor\Group_Control_Box_Shadow::get_type(),
			[
				'name' => 'chart_shadow_outline',
				'label' => __( 'Pie Chart Shadow OutLine', 'reza' ),
				'selector' => '{{WRAPPER}} .rd-chart',
			]
		);
		
			$this->add_group_control(
			\Elementor\Group_Control_Box_Shadow::get_type(),
			[
				'name' => 'chart_shadow_inset',
				'label' => __( 'Pie Chart Shadow inset', 'reza' ),
				'selector' => '{{WRAPPER}} .rd-chart::before',
			]
		);
		
		 
    $this->end_controls_section();
	}
	protected function register_controls_typography(){

		 $this->start_controls_section(
					'typography',
					array(
						'label' => __('Typography','reza'),
						'tab' => \Elementor\Controls_Manager::TAB_STYLE,
						
					)
				);
		   
		$this->add_control(
			'percent_font_size',
			[
				'label'			=>__('Font Size','reza'),
				'type'			=> \Elementor\Controls_Manager::NUMBER ,
				
				'selectors' 	=> array(
							'{{WRAPPER}} [class*="rd-el-"]' => '--rd-pr-fn-sz: {{VALUE}}px',
				),	
				
			]
		); 
		
		$this->add_control(
			'percent_font_weight',
			[
				'label'			=>__('Font Weight','reza'),
				'type'			=> \Elementor\Controls_Manager::SELECT ,
				'options'		=> reza_array_options('font_weight',true),
				
				'selectors' 	=> array(
							'{{WRAPPER}} [class*="rd-el-"]' => '--rd-pr-fn-wt: {{VALUE}}',
				),
			]
		); 		
    $this->end_controls_section();
 
	}	
			 	 

 	
	protected function render() {
 		$option = $this->get_settings_for_display();
 
 
	$alignment_class =!empty($option['alignment'])?$option['alignment']:'center';

 
	 $json=array();
	if(!empty($option['percentage'])){
		$json['percent']= $option['percentage'];
	}
	if(!empty($option['bar_duration'])){
		$json['duration']= $option['bar_duration'];
	}	
	
	if(!empty($option['endpercentage'])){
		$json['endpercentage']= $option['endpercentage'];
	}	
	
	if(!empty($option['chart_size'])){
		$json['chart_size']= $option['chart_size'];
	}		
	
	 if(!empty($option['bar_color'])){
		$json['bar_first']= $option['bar_color'];
	 }		
	
	if(!empty($option['bar_color_2'])){
		$json['bar_second']= $option['bar_color_2'];
	}		
	
	 	
	
	if(!empty($option['bar_size'])){
		$json['bar_size']= $option['bar_size'];
	}			
	if(!empty($option['track_color'])){
		$json['track_color']= $option['track_color'];
	}
  
   
	?>
 	 <aside class="rd-elementor-<?php echo esc_attr($this->get_id());?>" >
 	 	<div class="rd-el-<?php echo esc_attr($this->get_id());?> rd-aw  	rd-chart-warp 	rd-align-<?php echo reza_alignment($alignment_class);?>" >
  	 
 		<?php if(!empty($option['percentage'])) { ?>
			 <div class="rd-chart"><div class="rd-chart-percent"></div><div class="rd-json"><?php echo json_encode($json);?></div></div>
		<?php }  ?>
 
		</div>
     	<?php
		
		$item = '.rd-el-'.$this->get_id().''; 
		$item_css=
			reza_var('--rd-el-pd',$option,'elementor_padding2').
			reza_var('--rd-el-tab-pd',$option,'elementor_padding2_tablet').
			reza_var('--rd-el-mob-pd',$option,'elementor_padding2_mobile').			
			reza_var('--rd-pr-txt',$option,'percent_color').
			reza_var('--rd-cht-bg',$option,'chart_background').
			reza_var_unit('--rd-pr-fn-sz',$option,'percent_font_size','px').
			reza_var('--rd-pr-fn-wt',$option,'percent_font_weight'). 
			reza_var_unit('--rd-bar-sz',$option,'bar_size','px');	
 	
     	$css =reza_item_css($item_css,$item);
		if(!empty($css)){
  			echo '<style>'.$css.'</style>';
		}
		
		wp_enqueue_script('reza_counter',REZA_DIR. '/js/lib/counter.min.js'); 

		 if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) {?>
			<script src='<?php echo  REZA_DIR . '/js/lib/counter.min.js'?>' id='reza_counter-js'></script>    
 			<script type="text/javascript">
				(function($) {
				'use strict';
				jQuery(document).ready(function() {				
 							$('.rd-elementor-<?php echo esc_html($this->get_id());?>').reza_elementor();
 				});
				})(jQuery);
			</script>
  		<?php }	?>
        
	</aside> 
	
	<?php
	}
	
}
 