<?php
 
class reza_element_progress_bar extends \Elementor\Widget_Base {

 
	public function get_name() {
		return 'reza_progress_bar';
	}

 	public function get_title() {
		return  __('Progress Bar','reza');
	}

 
	public function get_icon() {
		return 'eicon-skill-bar';
	}
	public function get_categories() {
		return [ 'reza' ];
	}


protected function register_controls() {
	 
 	 
 		 $this->register_controls_general();
 		 $this->register_controls_layout();
 	   
 		 $this->register_controls_style(); 
  		$this->register_controls_typography(); 
   
	}
    


 
	 
	 
	protected function register_controls_general(){
 			
		$this->start_controls_section(
			'general',
			[
				'label'			=>  __('Progress Bar','reza'),
			]
		); 	
			
		$this->add_control(
			'title',
			[
				'label'			=> __('Progress bar title','reza'),
				'type'			=> \Elementor\Controls_Manager::TEXT ,
				"default"		=> __('Title','reza'),	
			]
		); 		
		
					
		$this->add_control(
			'percentage',
			[
				'label'			=>__('Percentage','reza'),
				'type'			=> \Elementor\Controls_Manager::NUMBER ,
				"default"		=> '80',	
			]
		); 		
  		 
		$this->add_control(
			'bar_duration',
			[
				'label'			=> __('Duration','reza'),
				'type'			=> \Elementor\Controls_Manager::NUMBER ,
				"default"		=> "2000",
			]
		); 	
		
		$this->add_control(
			'style_layout',
			[
				'label'			=> __('Style','reza'),
				'type'			=> \Elementor\Controls_Manager::SELECT ,
					"default"		=> "style-1",
			
				"options"		=>  array( 
					"style-1"			=> __('Style 1','reza'),
					"style-2"			=> __('Style 2','reza'),
					"style-3"			=> __('Style 3','reza'),
					"style-4"			=> __('Style 4','reza'),
			
					), 
			]
		); 	
 
 	
	
    $this->end_controls_section();

 		 
		
 	} 
 protected function register_controls_layout(){
 			
		$this->start_controls_section(
			'progress_bar_layout',
			[
				'label'			=>  __('Layout','reza'),
			]
		); 	
		
		 
		$this->add_control(
			'progress_bar_height',
			[
				'label'			=> __('Height','reza'),
				'type'			=> \Elementor\Controls_Manager::NUMBER ,
				 
				'selectors' 	=> array(
							'{{WRAPPER}} [class*="rd-el-"]' => '--rd-bar-ht: {{VALUE}}px',
				), 				
 			]
		); 	
   
		$this->add_responsive_control(
					'elementor_padding',
					[
						'label' => __( 'Margin', 'reza' ),
						'type' => \Elementor\Controls_Manager::SELECT,
						'options' => reza_array_options('elementor_padding'),
		 
 					]
		); 
	
    $this->end_controls_section();
 }
 	
	protected function register_controls_style(){
		$this->start_controls_section(
			'style',
			[
				'label'			=> __( 'Style', 'reza' ),
				'tab'			=> \Elementor\Controls_Manager::TAB_STYLE,
			]
		); 	
		$this->add_control(
			'title_color',
			[
				'label'			=>	__( 'Title Color', 'reza' ),
				'type'			=> \Elementor\Controls_Manager::COLOR ,
				 
				'selectors' 	=> array(
							'{{WRAPPER}} [class*="rd-el-"]' => '--rd-tl-txt: {{VALUE}}',
				),		 			
  			]
		);  			
   		$this->add_control(
			'percent_color',
			[
				'label'			=>	__( 'Percent Color', 'reza' ),
				'type'			=> \Elementor\Controls_Manager::COLOR ,
				 
				'selectors' 	=> array(
							'{{WRAPPER}} [class*="rd-el-"]' => '--rd-pr-txt: {{VALUE}}',
				),		 			
  			]
		); 
		$this->add_control(
			'progress_bar_style',
			[
				'label' => __('Progress Bar Style','reza'),
				'type' => \Elementor\Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);
 
		
		$this->add_control(
			'progress_bar_stripes',
			[
				'label'			=>	__( 'Progress bar Stripes', 'reza' ),
				'type'			=> \Elementor\Controls_Manager::SWITCHER ,
 			]
		); 
		 
		$this->add_control(
			'progress_bar_animete',
			[
				'label'			=>	__( 'Progress bar Stripes Animete', 'reza' ),
				'type'			=> \Elementor\Controls_Manager::SWITCHER ,
				'condition'	=> ['progress_bar_stripes' => 'yes'],
 			]
		); 
		 	  
 	$this->add_control(
			'progress_bar_first_color',
			[
				'label'			=>	__( 'Progress bar Color - First Color', 'reza' ),
				'type'			=> \Elementor\Controls_Manager::COLOR ,
  			]
		); 
		 	 
		 	$this->add_control(
			'progress_bar_second_color',
			[
				'label'			=>	__( 'Progress bar Color - Second Color', 'reza' ),
				'type'			=> \Elementor\Controls_Manager::COLOR ,
  			]
		); 
		 	 
		
		
 		$this->add_control(
			'progress_bar_radius',
			[
				'label'			=>	__( 'Progress bar Radius', 'reza' ),
				'type'			=> \Elementor\Controls_Manager::NUMBER ,
			 
				'selectors' 	=> array(
							'{{WRAPPER}} [class*="rd-el-"]' => '--rd-bar-rd: {{VALUE}}',
				),	 			
  			]
		); 
		 		
		$this->add_control(
			'progress_bar_container_style',
			[
				'label' => __( 'Progress Bar Container', 'reza' ),
				'type' => \Elementor\Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);
 
		
 		$this->add_control(
			'progress_bar_container',
			[
				'label'			=>	__( 'Progress bar Container Color', 'reza' ),
				'type'			=> \Elementor\Controls_Manager::COLOR ,
			 
				'selectors' 	=> array(
							'{{WRAPPER}} [class*="rd-el-"]' => '--rd-bar-wp-bg: {{VALUE}}',
				), 
				
  			]
		);  			
  $this->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'progress_bar_container_border',
				'label' => __('Progress bar Container Border','reza'),
				'selector' => '{{WRAPPER}} .rd-bar-warp',
			]
		);
   		$this->add_control(
			'progress_bar_container_radius',
			[
				'label'			=>	__( 'Progress bar Container Radius', 'reza' ),
				'type'			=> \Elementor\Controls_Manager::NUMBER ,
			 
				'selectors' 	=> array(
							'{{WRAPPER}} [class*="rd-el-"]' => '--rd-bar-wp-rd: {{VALUE}}',
				), 	
				
  			]
		);  			
  
   	 

 
		 
    $this->end_controls_section();
	}
	protected function register_controls_typography(){

		 $this->start_controls_section(
					'typography',
					array(
						'label' => __('Typography','reza'),
						'tab' => \Elementor\Controls_Manager::TAB_STYLE,
						
					)
				);


		$this->add_control(
			'title_typo',
					[
						'label' => __( 'Title Typography', 'reza' ),
						'type' => \Elementor\Controls_Manager::HEADING,
						'separator' => 'before',
					]
				);
		 
		  
		$this->add_control(
			'title_font_size',
			[
				'label'			=>__('Font Size','reza'),
				'type'			=> \Elementor\Controls_Manager::NUMBER ,
				 
				'selectors' 	=> array(
							'{{WRAPPER}} [class*="rd-el-"]' => '--rd-tl-fn-sz: {{VALUE}}px',
				), 
			]
		); 
		
		$this->add_control(
			'title_font_weight',
			[
				'label'			=>__('Font Weight','reza'),
				'type'			=> \Elementor\Controls_Manager::SELECT ,
				'options'		=> reza_array_options('font_weight'),
				 
				'selectors' 	=> array(
							'{{WRAPPER}} [class*="rd-el-"]' => '--rd-tl-fn-wt: {{VALUE}}',
				),	 
			]
		); 		
	$this->add_control(
			'percent_typo',
					[
						'label' => __('Percent Typography', 'reza' ),
						'type' => \Elementor\Controls_Manager::HEADING,
						'separator' => 'before',
					]
				);
		 
		   
		$this->add_control(
			'percent_font_size',
			[
				'label'			=>__('Font Size','reza'),
				'type'			=> \Elementor\Controls_Manager::NUMBER ,
				 
				'selectors' 	=> array(
							'{{WRAPPER}} [class*="rd-el-"]' => '--rd-pr-fn-sz: {{VALUE}}px',
				),	 
				
			]
		); 
		
		$this->add_control(
			'percent_font_weight',
			[
				'label'			=>__('Font Weight','reza'),
				'type'			=> \Elementor\Controls_Manager::SELECT ,
				'options'		=> reza_array_options('font_weight'),
			 
				'selectors' 	=> array(
							'{{WRAPPER}} [class*="rd-el-"]' => '--rd-pr-fn-wt: {{VALUE}}',
				), 
				]
		); 		
    $this->end_controls_section();
 
	}	
			 	 

 	
	protected function render() {
 		$option = $this->get_settings_for_display();
 		
		
		$ltr=is_rtl()?'rtl':'ltr';
		$stripes = !empty($option['progress_bar_stripes']) ? ' rd-bar-candy' : '';
		$animete = !empty($option['progress_bar_stripes'])?(!empty($option['progress_bar_animete']) ? ' rd-bar-candy-'.$ltr.' '  : ''):'';
		$duration = !empty($option['bar_duration']) ? $option['bar_duration'] : '2000';
		$style = !empty($option['style_layout']) ? $option['style_layout'] : 'style-1';
		$title = !empty( $option['title']) ? $option['title'] : '';
		$percentage = !empty( $option['percentage']) ? $option['percentage'] : '';
			
			
		$classes=array(
			'rd-el-'.$this->get_id(),
 			'rd-progress-bar-'.$style,
			'rd-aw',
	  
		);
	 
 	?>
 	 <aside class="rd-elementor-<?php echo esc_attr($this->get_id());?>"     >
 	 	<div class="<?php echo esc_attr(join( ' ', $classes ));?>" >
  	 
             
 
             <div class="rd-progress-item-main"  >
                        
              
                         
                         <?php if($style=='style-1'){?>
                                     <div class="rd-progress-title-warp">
                                     <h3 class="rd-progress-title"><?php echo esc_html($title);?></h3>
                                         <div class="rd-progress-percent"></div>
                                     </div>
                        <?php } ?>
                 
                         <div class="rd-bar-warp">
                         <div class="rd-bar <?php echo esc_attr($stripes.' '.$animete);?>" data-bar-percent="<?php echo esc_attr($percentage);?>"  data-bar-duration="<?php echo esc_attr($duration);?>"   >
                        </div> 
                        
                        <?php if($style=='style-2' || $style=='style-3'||$style=='style-4'){?>
                                    <div class="rd-progress-title-warp">
                                        <h3 class="rd-progress-title"><?php echo esc_html($title);?></h3>
                                        <?php if($style!=='style-3'){ ?>
                                        <div class="rd-progress-percent"></div> 
                                        <?php } ?>
                                    </div>
                         <?php } ?>
					</div>
			</div>

		</div>
     	<?php
		
		$item = '.rd-el-'.$this->get_id().''; 
	 	$item_css= 
		reza_var_unit('--rd-dr',$option,'bar_duration','ms'). 
		reza_var_unit('--rd-pr',$option,'percentage','%'). 
		reza_var('--rd-el-pd',$option,'elementor_padding').
		reza_var('--rd-el-tab-pd',$option,'elementor_padding_tablet').
		reza_var('--rd-el-mob-pd',$option,'elementor_padding_mobile').
		reza_var_gradient_background_color_css('--rd-bar-bg',$option,'progress_bar_first_color','progress_bar_second_color').
		reza_var_unit('--rd-bar-ht',$option,'progress_bar_height').
		reza_var('--rd-tl-txt',$option,'title_color').
		reza_var('--rd-pr-txt',$option,'percent_color').
		reza_var_unit('--rd-bar-rd',$option,'progress_bar_radius','px').
		reza_var('--rd-bar-wp-bg',$option,'progress_bar_container' ).
		reza_var_unit('--rd-bar-wp-rd',$option,'progress_bar_container_radius','px' ).
		reza_var_unit('--rd-tl-fn-sz',$option,'title_font_size' ,'px').
		reza_var('--rd-tl-fn-wt',$option,'title_font_weight').
		reza_var_unit('--rd-pr-fn-sz',$option,'percent_font_size' ,'px').
		reza_var('--rd-pr-fn-wt',$option,'percent_font_weight');

    	$css =reza_item_css($item_css,$item);
		if(!empty($css)){
  			echo '<style>'.$css.'</style>';
		}
		
		wp_enqueue_script('reza_counter',REZA_DIR. '/js/lib/counter.min.js'); 
		
  	 
		  if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) {?>
          
			 <div class="rd-elementor-script"> 
					<script src='<?php echo  REZA_DIR . '/js/lib/counter.min.js'?>' id='reza_counter-js'></script>    
 					<script type="text/javascript">
					  (function($) {
						'use strict';
						jQuery(document).ready(function() {				
 							$('.rd-elementor-<?php echo esc_html($this->get_id());?>').reza_elementor();
 	
						 });
						})(jQuery);
 	               </script>
		
			</div>
		<?php }	?>
	</aside> 
	
	<?php
	}
	
} 