<?php
$this->start_controls_section(
	'style_section',
	[
		'label'			=> __( 'Style', 'reza' ),
		'tab'			=> \Elementor\Controls_Manager::TAB_STYLE,
	]
);
		
$this->add_control(
	'price_style',
	[
		'label'			=> __('Price Style','reza'),
		'type'			=> \Elementor\Controls_Manager::SELECT,
		"type"			=> "select",
		"default"		=> 'style-1' ,
		"options"		=>array(
		
				"style-1"		=> 	__('Style 1','reza'),
				"style-2"		=> 	__('Style 2','reza'),
				"style-3"		=> 	__('Style 3','reza'),
				"style-4"		=> 	__('Style 4','reza'),
				"style-5"		=> 	__('Style 5','reza'),
				"style-6"		=> 	__('Style 6','reza'),
				"style-7"		=> 	__('Style 7','reza'),
				"style-8"		=> 	__('Style 8','reza'),
				"style-9"		=> 	__('Style 9','reza'),
				"style-10"		=> 	__('Style 10','reza'), 
						
		)
	]			
); 	
	 
 	 
$this->add_control(
	'main_primary_color',
	[
		'label'			=> __('All Primary Color','reza'),
		'type'			=> \Elementor\Controls_Manager::COLOR,
		'selectors' 	=> array(
					'{{WRAPPER}} [class*="rd-el-"]' => '--rd-ma-primary-cr: {{VALUE}}',
		),	
		
	]			
); 	
	  
$this->add_control(
	'recommend_primary_color',
	[
		'label'			=> __('Recommend Primary Color','reza'),
		'type'			=> \Elementor\Controls_Manager::COLOR,
		'selectors' 	=> array(
					'{{WRAPPER}} [class*="rd-el-"]' => '--rd-rc-primary-cr: {{VALUE}}',
		),	
	]			
); 
		
$this->add_control(
	'hover_primary_color',
	[
		'label'			=> __('Hover Primary Color','reza'),
		'type'			=> \Elementor\Controls_Manager::COLOR,
		'selectors' 	=> array(
					'{{WRAPPER}} [class*="rd-el-"]' => '--rd-hv-primary-cr: {{VALUE}}',
		),	
	]			
); 
			   
			   
		
$this->add_control(
	'background_color',
	[
		'label'			=> __('Background Color','reza'),
		'type'			=> \Elementor\Controls_Manager::COLOR,
		'condition'		=> array('price_style' => array('style-1','style-2','style-3','style-4','style-6','style-7','style-8','style-9')),
		'selectors' 	=> array(
					'{{WRAPPER}} [class*="rd-el-"]' => '--rd-pt-bg: {{VALUE}}',
		),	
  				
	]			
); 
			   	   
$this->add_control(
	'background_color_2',
	[
		'label'			=> __('Background 2','reza'),
		'type'			=> \Elementor\Controls_Manager::COLOR,
		'condition'		=> array('price_style' => array('style-6','style-7','style-8','style-9','style-10')),
		'selectors' 	=> array(
					'{{WRAPPER}} [class*="rd-el-"]' => '--rd-pt-bg-2: {{VALUE}}',
		),			
		
	]			
); 
$this->add_control(
	'text_color',
	[
		'label'			=> __('Text Color','reza'),
		'type'			=> \Elementor\Controls_Manager::COLOR,
		'condition'		=> array('price_style' => array('style-1','style-2','style-3','style-4','style-6','style-7','style-8','style-9')),
		'selectors' 	=> array(
					'{{WRAPPER}} [class*="rd-el-"]' => '--rd-pt-txt: {{VALUE}}',
		),			
  				
	]			
); 	 
		
$this->add_control(
	'border_color',
	[
		'label'			=> __('Box Shadow Color','reza'),
		'type'			=> \Elementor\Controls_Manager::COLOR,
 		'selectors' 	=> array(
					'{{WRAPPER}} [class*="rd-el-"]' =>  '--rd-post-sd: {{VALUE}};--rd-post-hv-sd: {{VALUE}};',
		),			
	]			
); 	    
		
$this->add_control(
	'radius',
	[
		'label'			=>__('Border Radius','reza'),
		'type'			=> \Elementor\Controls_Manager::SELECT,
		"options"		=>reza_array_options('radius',true),
		'selectors' 	=> array(
					'{{WRAPPER}} [class*="rd-el-"]' => '--rd-pt-btn-rd: {{VALUE}}',
		),			
	]
	);			 
			 
$this->add_control(
	'button_radius',
	[
		'label'			=>__('Button Border Radius','reza'),
		'type'			=> \Elementor\Controls_Manager::SELECT,
		"options"		=>reza_array_options('radius',true),
		'selectors' 	=> array(
					'{{WRAPPER}} [class*="rd-el-"]' => '--rd-pt-btn-rd: {{VALUE}}',
		),			
	]			
); 	    
		
$this->end_controls_section();
