<?php
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

															Blog General
																		
*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 

$this->start_controls_section(
	'general',
	[
		'label'			=> __( 'General', 'reza' ),
 	]
); 
		
$this->add_control(
	'number',
	[
		'label'			=>__('Number of Posts to show','reza'),
		'type'			=> \Elementor\Controls_Manager::NUMBER ,
		"default"		=> '6' ,
  	]
); 		
	
$this->add_control(
	'multi_cats',
	[
		'label'			=> __('Category','reza'),
		'type'			=> \Elementor\Controls_Manager::SELECT2,
		'multiple'		=> true,
		'options'		=> reza_category_array_options('product_cat'),	
 	]
);

$this->add_control(
	'orderby',
	[
		'label'			=> __('Orderby','reza'),
		'type'			=> \Elementor\Controls_Manager::SELECT,
		'options'		=> reza_array_options('product_orderby'),	
 	]
);
 
$this->add_control(
	'title_limit',
	[
		'label'			=> __('Limit Title length','reza'),
		'type'			=> \Elementor\Controls_Manager::NUMBER ,
		'description'	=> __('example: "100"','reza') ,
	]
); 
	 	
		
$this->add_control(
	'excerpt',
	[
		'label'			=> __('Show Excerpt Posts','reza'),
		'type'			=> \Elementor\Controls_Manager::SWITCHER ,
 	]
); 	 
 
$this->add_control(
	'excerpt_2',
	[
		'label'			=> __('Show Excerpt Posts For Second Layout','reza'),
		'type'			=> \Elementor\Controls_Manager::SWITCHER ,
		'conditions' 	=>  array(
		
				'terms' => array(
									
						array(
						
								'name' => 'layout',
								'operator' => '==',
								'value' => 'grid'
						
						),
						array(
						
								'name' => 'grid_layout',
								'operator' => 'in',
								'value' =>  array('grid_9','grid_10','grid_11','grid_12','grid_13','grid_14','grid_15'),
						)
								 
				),
		),		
		
		"default"		=> 'no' ,
	]
); 
 
$this->add_control(
	'excerpt_limit',
	[
		'label'			=> __('Limit Excerpt length','reza'),
		'type'			=> \Elementor\Controls_Manager::NUMBER ,
		'description'	=> __('example: "200"','reza') ,
		'condition'		=> array('excerpt' => 'yes'),
		
	]
); 
		
		
$this->add_control(
	'countdown',
	[
		'label'			=> __('Show Countdown Sale Timer','reza'),
		'type'			=> \Elementor\Controls_Manager::SWITCHER ,
	]
); 			
		
$this->add_control(
	'meta_category',
	[
		'label'			=> __('Show Category Meta','reza'),
		'type'			=> \Elementor\Controls_Manager::SWITCHER ,
 	]
); 	
		

$this->add_control(
	'rating',
	[
		'label'			=> __( 'Show Rating' , 'reza'),
		'type'			=> \Elementor\Controls_Manager::SWITCHER ,
		"default"		=> 'yes' ,
  	]
); 			
		 
$this->add_control(
	'addcart',
	[
		'label'			=> __('Show Add to Cart','reza'),
		'type'			=> \Elementor\Controls_Manager::SWITCHER ,
		"default"		=> 'yes' ,
  	]
); 			
	
$this->add_control(
	'more_posts',
	[
 		'label'			=> __('More Posts','reza'),
		'type' 			=> \Elementor\Controls_Manager::SELECT ,
		"options"		=>   array(
			""				=> 	__('None','reza'),
			"load_more"		=> 	__('Load More','reza'),
			"pagenavi"		=>  esc_html__('Page Number','reza'),
					 
		),
	]
);     
		
 $this->end_controls_section();

