<?php
if(is_admin()){

/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																		Portfolio Masonry
																		
*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
add_filter('sao_element_item', 'sao_element_item_portfolio_masonry');
function sao_element_item_portfolio_masonry( $element ) {
 	
 	$element[]=  array(
 		'name'			=> 	esc_html__('Portfolio Masonry','reza'),
 		'id'			=> 'portfolio_masonry',
		'group'			=> esc_html__('magical','reza'),
		'img'			=>  REZA_DIR.'/admin/assets/images/element-portfolio-masonry.jpg',
  	); 
			
	
	return $element;
}  
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																		Portfolio Masonry Options
																		
*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
add_filter('sao_element_options_portfolio_masonry', 'reza_portfolio_masonry_options');
function reza_portfolio_masonry_options( $option ) {
 	$element='portfolio_masonry';

 	$option[]= array( 
 		"group"			=>  esc_html__('General','reza'),		  
	);	
	 
	$option[]= array( 
 		"group"			=>  esc_html__('Layout','reza'),		  
	);		
	 $option[]= array( 
 		"group"			=>  esc_html__('Title Box','reza'),		  
	);	
 
	$option[]= array( 
 		"group"			=>  esc_html__('Post Style','reza'),		  
	);	
		
	$option[]= array( 
 		"group"			=>  esc_html__('Typography','reza'),		  
	);	
 
 
	$option[]= array( 
 		"group"			=>  esc_html__('Attribute','reza'),		  
	);							
	
	 
     	
   	include REZA_PATH . '/sao-builder/portfolio/sao-portfolio-general.php'; 
	
	$option[]= array( 
		"name"			=> esc_html__('More Posts','reza'),
 		"id"			=> "more_posts",
		"type"			=> "select",
 		"options"		=>   array( 
			""			=> 	__('None','reza'),
			"load_more"		=> 	__('Load More','reza'),
   			 
		),										
	); 
	   
	
	$option[]= array( 
		"name"			=> esc_html__('Layout','reza'),
 		"id"			=> "layout",
 		"group"			=>  esc_html__('Layout','reza'),
  		"default"		=> 'grid',
		"type"			=> "radio_image",
   		"options"		=>  array( 
  			"grid"		=> REZA_DIR.'/admin/assets/images/grid/grid_1.jpg',
 			"featured"	=> REZA_DIR.'/admin/assets/images/featured/featured_1.jpg',
  		  
 		),						
				  
	); 
	$column=__('Column','reza');
	$option[]= array( 
		"name"			=> esc_html__('Column Layout','reza'),
 		"id"			=> "column",
 		"group"			=>  esc_html__('Layout','reza'),
  		"default"		=> '2',
		"type"			=> "select",
   		"options"		=>  array( 
  			"2"	=> "2 $column", 
 			"3"	=> "3 $column", 
 			"4"	=> "4 $column",  
 			"5"	=> "5 $column", 
 			"6"	=> "6 $column", 
			"7"	=> "7 $column", 
 			"8"	=> "8 $column", 
 		  
 		),						
				  
	);  
 
	$option[]=  array( 
		"name"			=> esc_html__('Column in Tablet and Mobile','reza'),
 		"id"			=> "responsive_column",
 		"group"			=>  esc_html__('Layout','reza'),
 		"type"			=> "select",
		"options" 		=> reza_array_options('responsive_column',true), 

	);

  	include REZA_PATH . '/sao-builder/portfolio/sao-portfolio-layout.php'; 
	include REZA_PATH . '/sao-builder/general/sao-title-box.php'; 
 	include REZA_PATH . '/sao-builder/portfolio/sao-portfolio-style.php'; 
 	include REZA_PATH . '/sao-builder/portfolio/sao-portfolio-typography.php'; 
   	include REZA_PATH . '/sao-builder/general/sao-element.php';
	   
  	 
	   
    return $option;

} 

/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																		Portfolio Masonry Perview
																		
*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
add_filter('sao_builder_perview_portfolio_masonry', 'reza_builder_perview_portfolio_masonry');
function reza_builder_perview_portfolio_masonry( $args ) {
	 
	
  		$key = $args['key'];
 		$option = $args['option'];
		$output='';
		$css='';
		if(!empty($option['title'])){
			$output.='<h4 class="rd-perview-header">'.$option['title'] .'</h4>'; 
		}
			if(!empty($option['layout']) && !empty($option['column'])){
				$output ='<img src="'.REZA_DIR.'/admin/assets/images/'.$option['layout'].'-masonry/'.$option['layout'].'_masonry_'.esc_attr($option['column']).'.jpg">'; 
			}
			 
			 
		$css.= '.sao-element-'.$key.' {text-align: center;}'; 
  	$return['css']= $css;
	$return['output']= $output;
		return $return;
}
}
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																		Portfolio Masonry Config
																		
*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
add_filter('sao_builder_portfolio_masonry', 'reza_portfolio_masonry_config');
function reza_portfolio_masonry_config( $args,$out = false ) {
  	wp_reset_query();
	wp_reset_postdata();
 	$option = $args['option'];
	$key = $args['key']; 
	
	if(reza_element_show($option)=='show'){
	 
		$option['post_type']='portfolio';
		$more_posts =!empty($option['more_posts'])? $option['more_posts']:'';
 		$layout =!empty($option['layout'])?$option['layout']:'grid';
		$column =!empty($option['column'])?$option['column']:'4';
 		$between_class =!empty($option['between'])? $option['between']:reza_option('portfolio_between'); 	
		$ratio_class =!empty($option['ratio'])?$option['ratio']:reza_option('portfolio_image_ratio');
		$alignment_class =!empty($option['alignment'])?$option['alignment']:reza_option('portfolio_alignment');
		$box_layout =!empty($option['box_layout'])? $option['box_layout']:reza_option('portfolio_box_layout');
		$caption_layout =!empty($option['caption_layout'])? $option['caption_layout']: reza_option('portfolio_caption_layout');	
		$custom_class = !empty( $option['custom_class']) ? $option['custom_class'] : '';			 
		 
		$layout_class='';
		if($layout=='featured'){	
			$layout_class='rd-cap-'.$caption_layout;
			$layout_class.=' rd-ratio-auto';
			
		 }else{
			$layout_class = 'rd-'.$box_layout; 
			$layout_class.= ' '.$ratio_class; 
			
		 } 
		 
		$classes = array(
			'rd-el-'.$key,
			 'macy-masonry',
			'rez-transition',
			'rd-gap-'.$between_class,
			$ratio_class,
			'rd-align-'.reza_alignment($alignment_class),
			$layout_class,
			reza_image_caption_effect($option),	
			reza_element_show($option,true),
	
		);
 		
		ob_start(); 
		 
		?>
		
		 <aside <?php  reza_el_id($option);?> class="<?php echo esc_attr(join( ' ', $classes ));?> " <?php echo reza_post_masonry_class($option,true) ;?> <?php echo reza_el_cssanime($option);?> >
			
			
			<?php reza_portfolio_title_tabs($option,'reza_post_'.$layout.'_main');?>
			
			<div class="rd-gap-warp">
				<div class="rd-item-list  rd-masonry rd-aw <?php echo esc_attr(reza_post_masonry_class($option));?>"  >
				 
					<?php 
					if($layout=='grid'){
						 reza_post_grid_main($option);
					}
					if($layout=='featured'){
						 reza_post_featured_main($option);
					}
					?>
					 
				</div>
				 
				<?php 
				if($more_posts == 'load_more'){
					reza_load_more($option,'reza_post_'.$layout.'_main');
				}
				?>
					
			</div>
		</aside> 
	
	 
		<?php
		$item = '.rd-el-'.$key.'';
		$item_css = reza_title_box_css($option,$item);
		$item_css.= reza_post_css($option,$item);
		$item_css.= reza_caption_css($option,$item);
		$item_css.= reza_element_padding($option);
		$css =reza_item_css($item_css,$item);
	 
		$return['output']=  ob_get_clean();
		$return['css']= $css;
		$return['emptybefore']= true;
		$return['emptyafter']= true;
	
		wp_enqueue_script( 'reza-masonry', REZA_DIR . '/js/lib/masonry.min.js');
	
		if( !empty($out)){
			$output = $return['output'];
			$output.=!empty($return['css'])?'<style>'.$return['css'].'</style>':'';
			return $output;
		}else{
			return $return;	
		}
	}
}
 